using System;

namespace Permutacije
{
    class Program
    {
        static int[] niz;
        static int n;
        static int max = -1;
        static int counter = 0;
        static void permutacije(int k)
       
        {
            string a = "";
            if (k == n - 1)
            {
                for (int i = 0; i < n; i++)
                {
                    Console.Write(niz[i]);
                    a += niz[i];
                }
                if (int.Parse(a) > max) max = int.Parse(a);
                Console.WriteLine();
            }
            else
            {
                for (int i = k; i < n; i++)
                {
                    int help = niz[i]; niz[i] = niz[k]; niz[k] = help;
                    if(i==0)
                    permutacije(k + 1);
                    a = "";
                    for (int j = 0; j < n; j++)
                    {
                        a += niz[j];
                    }
                    if (int.Parse(a) > max) max = int.Parse(a);
                    help = niz[i]; niz[i] = niz[k]; niz[k] = help;
                }
            }
        }
        static void Main(string[] args)
        {
            n = int.Parse(Console.ReadLine());
            niz = new int[n];
            string nizhelp = Console.ReadLine();
            for (int i = 0; i < n; i++)
            {
                niz[i] = int.Parse(nizhelp.Split(' ')[i]);
            }

           permutacije(0);
            Console.WriteLine(max);
            Console.Read();
        }
    }
}